Subject: bug#20017: closed (Re: bug#20017: guile 2.0.11 make check failure for ppc architecture)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jun 2016 16:10:02 +0000

Your bug report

#20017: guile 2.0.11 make check failure for ppc architecture

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20017: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20017
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20017: guile 2.0.11 make check failure for ppc architecture
From: Andy Wingo <[email-masked]>
To: Normand <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Jun 2016 18:09:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 23 Jun 2016 17:28, Normand <[email-masked]> writes:

>> (expt 2 1/2)
>> (expt 2.0 1/2)
>> (sqrt 2)
>
> The bugzilla should probably be closed now,
> because since then it seems that problem disapeared.
> If I do the manual tests as suggested there is no differences in expressions outputs as reported below.

Cool, that was easy :-)

Happy hacking,

Andy

Subject: guile 2.0.11 make check failure for ppc architecture
From: Normand <[email-masked]>
To: [email-masked]
Date: Fri, 06 Mar 2015 14:57:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

guile 2.0.11 make check failure for ppc architecture on opensuse 13.2

details of the log is available at:
https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/guile
https://build.opensuse.org/build/openSUSE:Factory:PowerPC/standard/ppc/guile/_log

There are two failing tests:
===
[ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
[ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))
===

I have a guest on which I am able to recreate the problem,
but I do not know anything about guile to do investigation of the problem.

any suggestions ?

-- 
Michel Normand